<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Network Block Device (NBD) support in qemu</h1>

<ul>
  <li>v0.10 (2008): qemu can connect as client over NBD, and qemu-nbd
    introduced as standalone server tool</li>
  <li>v1.3 (2012): qemu can serve images over NBD concurrently with
    live guest (nbd-server-add QMP command), facilitating live storage
    migration</li>
  <li>v2.6 (2016): qemu was the first NBD client and server
    implementation to support TLS</li>
  <li>v2.12 (2018): qemu was first NBD client and server
    implementation to support BLOCK_STATUS extension</li>
  <li>v3.0 (2018): qemu added "qemu:dirty-bitmap:<i>name</i>" to
    expose persistent dirty bitmaps</li>
</ul>

<p class="attribution">See also this 2019 KVM Forum
  presentation: <a href="https://www.youtube.com/watch?v=PMa6KFX9AxM">Making
  the Most of NBD</a>, Eric Blake and Rich Jones</p>
